al_get_path_basename(3)

NAME

al_get_path_basename - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const char *al_get_path_basename(const ALLEGRO_PATH *path)

DESCRIPTION

Return the basename, i.e. filename with the extension removed. If the filename doesn't have an extension, the whole filename is the basename. If there is no filename part then the empty string is returned.

The returned pointer is valid only until the filename part of the path is modified in any way, or until the path is destroyed.

SEE ALSO

al_get_path_filename(3), al_get_path_extension(3)